Bug 209469 - initscripts 8.44-1 breaks startx
initscripts 8.44-1 breaks startx
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-10-05 10:46 EDT by Michael Young
Modified: 2014-03-16 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.45-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 14:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Young 2006-10-05 10:46:07 EDT
Description of problem:
AFter updating initscripts to 8.44-1 startx hangs (there is an X cursor on the
screen but nothing more).
The problem seems to be within /etc/profile.d/lang.sh (called from xinitrc)
which calls stty iutf8, which just hangs.
Downgrading to 8.43-1 fixes the problem.
Comment 1 Bill Nottingham 2006-10-06 14:12:58 EDT
Fixed in 8.45-1.
Comment 2 Herbert Carl Meyer 2006-10-10 09:53:23 EDT
I am still getting this after upgrading to initscripts 8.45-1. I can fix it by
downgrading SysVinit to 2.86-11. Current SysVinit is 2.86-13, and I had this
problem with SysVinit 2.86-12 as well.
Comment 3 Bill Nottingham 2006-10-10 11:14:30 EDT
I'm not sure how SysVinit could have any affect on this. Can you get a process
tree from when startx hangs?
Comment 4 Herbert Carl Meyer 2006-10-12 05:56:23 EDT
Sure, point me at some instructions.
Comment 5 Bill Nottingham 2006-10-12 11:42:38 EDT
Switch to a virtual terminal, log in as root, 'ps axf'.

Comment 6 Herbert Carl Meyer 2006-10-13 09:46:08 EDT
this morning i updated to SysVinit 2.86-13, initscripts 8.45.3-1, bug
reappeared. When i reverted to SysVinit 2.86-11, disappeared.

ps axf output:

  PID TTY      STAT   TIME COMMAND
    1 ?        Ss     0:02 init [5]                                              
    2 ?        SN     0:00 [ksoftirqd/0]
    3 ?        S      0:00 [watchdog/0]
    4 ?        S<     0:00 [events/0]
    5 ?        S<     0:00 [khelper]
    6 ?        S<     0:00 [kthread]
    8 ?        S<     0:00  \_ [kblockd/0]
    9 ?        S<     0:00  \_ [kacpid]
   97 ?        S<     0:00  \_ [khubd]
   99 ?        S<     0:00  \_ [kseriod]
  154 ?        S      0:00  \_ [pdflush]
  155 ?        S      0:00  \_ [pdflush]
  157 ?        S<     0:00  \_ [aio/0]
  322 ?        S<     0:00  \_ [kpsmoused]
  337 ?        S<     0:00  \_ [kmirrord]
  342 ?        S<     0:00  \_ [kjournald]
  368 ?        S<     0:00  \_ [kauditd]
  803 ?        S<     0:00  \_ [ac97/0]
 1133 ?        S<     0:00  \_ [kjournald]
 1135 ?        S<     0:00  \_ [kjournald]
  156 ?        S      0:00 [kswapd0]
  309 ?        S      0:00 [pccardd]
  311 ?        S      0:00 [pccardd]
  394 ?        S<s    0:00 /sbin/udevd -d
 1073 ?        Ss     0:00 /sbin/change_console -f
 1491 ?        Ss     0:00 /sbin/dhclient -1 -q -cf /etc/dhclient-ath0.conf -lf
/var/lib/dhclient/dhclient-ath0.leases -pf /var/run/dhclient-ath0.pid ath0
 1715 ?        Ss     0:00 /usr/sbin/restorecond
 1724 ?        Ss     0:00 syslogd -m 0
 1727 ?        Ss     0:00 klogd -x
 1750 ?        Ss     0:00 mcstransd
 1761 ?        Ss     0:00 portmap
 1780 ?        Ss     0:00 rpc.statd
 1808 ?        Ss     0:00 rpc.idmapd
 1822 ?        Ssl    0:00 dbus-daemon --system
 1832 ?        Ss     0:00 hcid: processing events
 1836 ?        Ss     0:00 /usr/sbin/sdpd
 1851 ?        S<     0:00 [krfcommd]
 1884 ?        Ss     0:00 /usr/bin/hidd --server
 1901 ?        Ssl    0:00 automount
 1919 ?        S      0:00 /usr/sbin/smartd -q never
 1928 ?        Ss     0:00 /usr/sbin/acpid
 1937 ?        Ss     0:00 ./hpiod
 1942 ?        S      0:00 python ./hpssd.py
 1952 ?        Ss     0:00 cupsd
 1961 ?        Ss     0:00 /usr/sbin/sshd
 1973 ?        SLs    0:00 ntpd -u ntp:ntp -p /var/run/ntpd.pid -g
 1991 ?        Ss     0:00 sendmail: accepting connections
 2000 ?        Ss     0:00 sendmail: Queue runner@01:00:00 for
/var/spool/clientmqueue
 2010 ?        Ss     0:00 gpm -m /dev/input/mice -t exps2
 2019 ?        S      0:00 nasd -b -local
 2028 ?        Ss     0:00 crond
 2061 ?        Ss     0:00 xfs -droppriv -daemon
 2070 ?        SNs    0:00 anacron -s
 2078 ?        Ss     0:00 /usr/sbin/atd
 2139 ?        S      0:00 /usr/bin/python /usr/sbin/yum-updatesd
 2149 ?        Ss     0:00 avahi-daemon: running [evilgnome.local]
 2150 ?        Ss     0:00  \_ avahi-daemon: chroot helper process
 2179 ?        Ss     0:04 hald
 2180 ?        S      0:00  \_ hald-runner
 2186 ?        S      0:00      \_ hald-addon-acpi: listening on acpid socket
/var/run/acpid.socket
 2190 ?        S      0:00      \_ hald-addon-keyboard: listening on
/dev/input/event0
 2201 ?        S      0:00      \_ hald-addon-storage: polling /dev/hdc
 2217 tty1     Ss+    0:00 /sbin/mingetty tty1
 2218 ?        Ss     0:00 login -- root     
 2573 tty2     Ss     0:00  \_ -bash
 2623 tty2     R+     0:00      \_ ps axf
 2219 tty3     Ss+    0:00 /sbin/mingetty tty3
 2220 tty4     Ss+    0:00 /sbin/mingetty tty4
 2221 tty5     Ss+    0:00 /sbin/mingetty tty5
 2222 tty6     Ss+    0:00 /sbin/mingetty tty6
 2288 ?        S      0:00 /usr/bin/kdm -nodaemon

last line is ?kde desktop mgr? when i startx from a virtual terminal, i get the
kde destop, my usual default is gnome. thanks.
Comment 7 Herbert Carl Meyer 2006-10-15 10:06:25 EDT
i upgraded to SysVinit 2.86-14 this morning, and the problem did not reappear.
Thnaks.

Note You need to log in before you can comment on or make changes to this bug.